# $Revision: 1.48 $, $Date: 2007-08-06 00:55:58 $
Summary:	LaTeX macros for converting Jade TeX output into DVI/PS/PDF
Summary(pl.UTF-8):	Makra LaTeXa do konwersji Jade TeXa do DVI/PS/PDF
Name:		jadetex
Version:	3.13
Release:	7
License:	Copyright (C) 1995,1996,1997,1998,1999,2000,2001 Sebastian Rahtz <s.rahtz@elsevier.co.uk>
Group:		Applications/Publishing/SGML
Source0:	http://dl.sourceforge.net/jadetex/%{name}-%{version}.tar.gz
# Source0-md5:	634dfc172fbf66a6976e2c2c60e2d198
Patch0:		%{name}-latex.patch
Patch1:		%{name}-latin2.patch
URL:		http://jadetex.sourceforge.net/
BuildRequires:	tetex >= 1:3.0-2
BuildRequires:	tetex-csplain
BuildRequires:	tetex-fonts-cmcyr
BuildRequires:	tetex-fonts-jknappen
BuildRequires:	tetex-format-latex
BuildRequires:	tetex-format-pdflatex
BuildRequires:	tetex-format-pdftex
BuildRequires:	tetex-format-plain
BuildRequires:	tetex-latex-ams
BuildRequires:	tetex-latex-carlisle
BuildRequires:	tetex-latex-cyrillic
BuildRequires:	tetex-latex-marvosym
BuildRequires:	tetex-latex-psnfss
BuildRequires:	tetex-metafont
BuildRequires:	tetex-pdftex
BuildRequires:	tetex-tex-babel
BuildRequires:	tetex-tex-ruhyphen
BuildRequires:	tetex-tex-ukrhyph
AutoReqProv:	no
PreReq:		sh-utils
Requires:	sgml-common
%requires_eq	tetex
%requires_eq	tetex-latex
Requires:	tetex-pdftex
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JadeTeX contains the additional LaTeX macros necessary for taking Jade
TeX output files and processing them as LaTeX files.

%description -l pl.UTF-8
JadeTeX zawiera dodatkowe makra LaTeXa potrzebne do konwersji plików
otrzymanych z Jade TeXa i przetworzenia ich jako plików LaTeXa.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} basic jadetex.fmt pdfjadetex.fmt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/texmf/{web2c,tex/jadetex} \
	   $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install jadetex.1 pdfjadetex.1 $RPM_BUILD_ROOT%{_mandir}/man1

ln -s pdfetex $RPM_BUILD_ROOT%{_bindir}/jadetex
ln -s pdfetex $RPM_BUILD_ROOT%{_bindir}/pdfjadetex

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x %{_bindir}/texhash ] || /usr/bin/env - %{_bindir}/texhash 1>&2

%postun
[ ! -x %{_bindir}/texhash ] || /usr/bin/env - %{_bindir}/texhash 1>&2

%files
%defattr(644,root,root,755)
%doc ChangeLog ChangeLog-old
%attr(755,root,root) %{_bindir}/*
%{_datadir}/texmf/web2c/*.fmt
%{_datadir}/texmf/tex/jadetex
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jadetex.spec,v $
Revision 1.48  2007-08-06 00:55:58  wolvverine
- rel.7

Revision 1.47  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.46  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.45  2006/01/20 17:10:44  maciek2w
- rel 6 for rebuild
- STBR

Revision 1.44  2006/01/14 12:39:55  qboosh
- symlink jadetex to pdfetex to get it working

Revision 1.43  2005/11/23 10:16:36  arekm
- rebuild with new tetex

Revision 1.42  2005/10/22 18:31:52  qboosh
- added latex patch and tetex-latex-marvosym BR (required for tetex 3.0)

Revision 1.41  2005/09/06 13:37:30  glen
- rel 4 for fixed %post script; STBR

Revision 1.40  2005/08/03 14:48:25  saq
- avoid "%post scriptlet failed"

Revision 1.39  2005/04/18 16:59:11  mmazur
- rel 3 for th

Revision 1.38  2004/09/25 11:20:52  radek
- cosmetics (spaces -> tabs)

Revision 1.37  2004/07/20 23:39:40  ankry
- pl fixes

Revision 1.36  2004/07/18 20:20:39  qboosh
- cosmetics/unifications

Revision 1.35  2003/11/11 01:56:07  ankry
- unification

Revision 1.34  2003/08/31 17:27:18  mmazur
- rel 2 for ac

Revision 1.33  2003/08/18 08:08:12  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.32  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.31  2003/05/25 05:49:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/05/19 09:04:02  trojan
- updated to 3.13

Revision 1.29  2003/05/13 08:15:56  mkochano
- Release 5.
- Requires: tetex-pdftex (/usr/bin/pdfjadetex -> pdftex).

Revision 1.28  2003/03/20 09:03:32  malekith
- release 4; rebuild with tetex 2.0.2

Revision 1.27  2003/02/25 12:55:33  qboosh
- working Source URL

Revision 1.26  2003/02/25 10:15:29  misiek
- rebuild

Revision 1.25  2003/02/08 16:36:26  wrobell
- rel. 2 /to rebuild with tetex 2.0 on nest builders/

Revision 1.24  2003/01/05 19:08:32  wrobell
- typo

Revision 1.23  2003/01/05 12:19:06  radek
- BR: tetex-format-latex tetex-tex-ukrhyph tetex-tex-ruhyphe tetex-csplain

Revision 1.22  2003/01/04 13:33:14  wiget
- updated to 3.12 and new teTeX

Revision 1.21  2002/11/27 21:10:39  juandon
- new %%doc

Revision 1.20  2002/11/03 18:37:19  speedy
- release 3
- new tetex BR

Revision 1.19  2002/04/25 16:38:23  arturs
fixed a small typo

Revision 1.18  2002/02/23 02:59:08  kloczek
- adapterized.

Revision 1.17  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:13:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/23 15:18:25  qboosh
- updated URL, noted new Source0 URL (current version is 3.11)

Revision 1.14  2001/11/23 14:51:02  kloczek
- s/Copyright/License/

Revision 1.13  2001/06/21 19:48:10  misiek
- requires_eq: tetex and tetex-latex
- added pl translations

Revision 1.12  2001/06/20 17:06:27  pawelk
rel:2
no changes. it should be rebuilded with new tetex
STBR

Revision 1.11  2001/03/23 17:43:49  wiget
workaround for rpm <4.0.2

Revision 1.10  2001/03/23 17:11:49  wiget
3.5; changed Source0 and URL

Revision 1.9  2001/01/19 17:51:23  kloczek
- spec cleaned up.

Revision 1.8  2001/01/19 17:23:40  zagrodzki
- BuildReq: tetex-pdftex

Revision 1.7  2000/06/23 11:20:29  klakier
- package is noarch

Revision 1.6  2000/06/10 10:35:33  klakier
- better latin2 hacking

Revision 1.5  2000/06/10 08:27:44  klakier
- *jadetexl1 removed (doesn't workon changed name). Now jadetex and pdfjadetex
  are hacked to use latin2 instead of latin1

Revision 1.4  2000/06/10 07:43:54  klakier
- added latin2 temporary support ([pdf]jadetexl2)

Revision 1.3  2000/06/09 15:33:36  klakier
- BuildRequires hugelatex

Revision 1.2  2000/06/09 05:39:10  kloczek
- spec adapterized,
- some cosmetics.

Revision 1.1  2000/06/08 21:15:31  klakier
- based on mdk, rh specs

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- fix links

* Wed Jan  5 2000 Bill Nottingham <notting@redhat.com>
- update to 2.7

* Sat Aug 14 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.5.
- clean up the spec file.
- revert babel patch.

* Sat Jul 17 1999 Tim Powers <timp@redhat.com>
- added %defattr and removed all the %attr
- moved buildroot to /var/tmp instead of /tmp
- built for 6.1

* Mon Apr 26 1999 Owen Taylor <otaylor@redhat.com>
- Remove use of babel to get .fmt file to rebuild correctly
